[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBText.Field

Provides access to the field definition for the data-aware control.

## Declaration

Source position: dbctrls.pp line 300

`public property TDBText.Field : TField read GetField;`

## Description

Field is a read-only TField property which provides access to the field definition to which the data-aware control is linked. Read access for the property is redirected to the Field property in the internal TFieldDataLink class instance.

Use DataField to read or write the field name used for the data-aware control. Use DataSource to specify the data source with the dataset containing the specified field name.

## See also

TDBText.DataField |  | The name of the field, as a string (i.e. cannot be referred to as an Index).
TDBText.DataSource |  | Provides access to the content displayed in the control.
TField